Subject: Re: bug#67526: 30.0.50; Regression: gnus-group-prev-group fails to move to first group

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 29 Nov 2023 07:16:03 -0800

On 11/29/23 15:16 PM, Eli Zaretskii wrote:
>> From: Simon Leinen <[email-masked]>
>> Date: Wed, 29 Nov 2023 11:16:20 +0100
>> 
>> In the current development version of Emacs (Git master branch),
>> gnus-group-prev-group (bound to the "P" key) in Gnus's group buffer
>> works as before, except when it is on the second newgroup line.  In this
>> case, the cursor stays put on the second line and refuses to move up to
>> the first.  The same is true for gnus-group-prev-unread-group (bound to
>> "p"), even when the first group has unread messages.
>> 
>> I suspect the issue lies in gnus-group-search-forward, which was
>> recently simplified by Eric Abrahamsen in commit
>> 7304cc8a9ca8a7d19baaa24f0a72c7ad9a6a9716
>
> Adding Eric to the discussion.

I'm not able to reproduce this, with or without topic-mode. Is there
anything special about the level of the first or the second group, and
`gnus-level-subscribed'? I can't see anything else that might influence
behavior here...